Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IUpdatingPermissionManager

All Superinterfaces:
  IPermissionManager

All Known Implementing Classes:
  UpdatingPermissionManagerImpl

    public interface IUpdatingPermissionManager

extends IPermissionManager

An interface for updating `Permissions` on behalf of a `Permission` owner.

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck

Method Summary
`void` | `addPermissions(IPermission[] permissions)` Adds `IPermissions` to the store for the owner of this `IPermissionManager`.
`IPermission` | `newPermission(IAuthorizationPrincipal principal)` Creates a new `IPermission` for the `principal` on behalf of the owner of this `IPermissionManager`.
`void` | `removePermissions(IPermission[] permissions)` Removes `IPermissions` from the store for the owner of this `IPermissionManager`.
`void` | `updatePermissions(IPermission[] permissions)` Updates `IPermissions` in the store for the owner of this `IPermissionManager`.

Methods inherited from interface org.jasig.portal.security.IPermissionManager
`getAllPermissions, getAuthorizedPrincipals, getOwner, getPermissions, getPermissions`

Method Detail

### addPermissions

    void addPermissions(IPermission[] permissions)
                        throws AuthorizationException

  Adds `IPermissions` to the store for the owner of this `IPermissionManager`.

  Parameters:
    `permissions` - IPermission[]
  Throws:
    `AuthorizationException`

### newPermission

    IPermission newPermission(IAuthorizationPrincipal principal)
                              throws AuthorizationException

  Creates a new `IPermission` for the `principal` on behalf of the owner of this `IPermissionManager`.

  Parameters:
    `principal` - IAuthorizationPrincipal
  Throws:
    `AuthorizationException`

### removePermissions

    void removePermissions(IPermission[] permissions)
                           throws AuthorizationException

  Removes `IPermissions` from the store for the owner of this `IPermissionManager`.

  Parameters:
    `permissions` - IPermission[]
  Throws:
    `AuthorizationException`

### updatePermissions

    void updatePermissions(IPermission[] permissions)
                           throws AuthorizationException

  Updates `IPermissions` in the store for the owner of this `IPermissionManager`.

  Parameters:
    `permissions` - IPermission[]
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD